Package org.codehaus.commons.compiler.jdk

# Class JavaSourceClassLoader.DiagnosticException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.commons.compiler.jdk.JavaSourceClassLoader.DiagnosticException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JavaSourceClassLoader`

public static class JavaSourceClassLoader.DiagnosticException extends RuntimeException
Container for a `Diagnostic` object.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`